Package Details: easyeda 2.0.0-0

Git Clone URL: https://aur.archlinux.org/easyeda.git (read-only, click to copy)
Package Base: easyeda
Description: EasyEDA Desktop Client, A Simple and Powerful Electronic Circuit Design Tool
Upstream URL: https://easyeda.com/page/download
Keywords: eda
Licenses: custom
Submitter: Henri98
Maintainer: Henri98
Last Packager: Henri98
Votes: 3
Popularity: 0.008428
First Submitted: 2019-04-06 17:20
Last Updated: 2019-05-17 10:08

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

n0ss commented on 2020-03-26 20:14

@hadi77ir

You just saved me :)

@everyone just use andrewg85 PKGBUILD. Works flawlessly.

https://gist.github.com/hadi77ir/a3ab4b0cb571cf0c73371e471482fb2d

SRChiP commented on 2020-02-14 18:08

I get a segmentation fault & hadi77ir's https://aur.archlinux.org/packages/easyeda/#comment-722082 fix worked.

andrewg85 commented on 2019-12-31 05:16

I initially had the problem of the app not launching when installed and I found the fix as posted on 26/12/2019. It downloads the zip files from the sources but can't seem to install them. I get the following error message in my Terminal:

==> Starting package()... unzip: cannot find or open 1/Downloads/Linux, 1/Downloads/Linux.zip or 1/Downloads/Linux.ZIP. ==> ERROR: A failure occurred in package(). Aborting...

Manjaro KDE 64 bit

hadi77ir commented on 2019-12-25 17:36

I made a fix for this package by using "app.asar" from EasyEDA and official Electron 3.1.8 Linux x64 binaries. https://gist.github.com/hadi77ir/a3ab4b0cb571cf0c73371e471482fb2d

msa81 commented on 2019-12-13 10:18

(gdb) run Starting program: /opt/easyeda/easyeda [Thread debugging using libthread_db enabled] Using host libthread_db library "/usr/lib/libthread_db.so.1". /usr/lib/../share/gcc-9.2.0/python/libstdcxx/v6/xmethods.py:731: SyntaxWarning: list indices must be integers or slices, not str; perhaps you missed a comma? refcounts = ['_M_refcount']['_M_pi']

Program received signal SIGSEGV, Segmentation fault. 0x0000000000dbf060 in ?? () (gdb) bt

0 0x0000000000dbf060 in ()
1 0x00007ffff7d82072 in node::http2::Http2Session::Callbacks::Callbacks(bool) () at /opt/easyeda/libnode.so
2 0x00007ffff7d82135 in () at /opt/easyeda/libnode.so
3 0x00007ffff7fe272a in call_init.part () at /lib64/ld-linux-x86-64.so.2
4 0x00007ffff7fe2831 in _dl_init () at /lib64/ld-linux-x86-64.so.2
5 0x00007ffff7fd413a in _dl_start_user () at /lib64/ld-linux-x86-64.so.2
6 0x0000000000000001 in ()
7 0x00007fffffffde16 in ()
8 0x0000000000000000 in ()

(gdb)

JohnRobson commented on 2019-11-25 23:39

Segmentation fault (core dumped)

JohnRobson commented on 2019-11-25 23:31

@altf4 I added "LD_LIBRARY_PATH=/opt/easyeda:$LD_LIBRARY_PATH" but still not working.

altf4 commented on 2019-04-30 15:56

You need to add /opt/easyeda to your path to be able to execute it